/*
    CSS OVERRIDES
    Overide the theme's CSS styles
*/



@media print
{
    @page { margin: 0.0cm; }
    body { margin: 1.6cm; }

    .no-print, .no-print *
    {

        display: none !important;
    }


    thead {
        display: table-header-group; /* Ensures headers repeat on every page */
        border-bottom: 1px solid black; /* Adds a clear separation */
    }

    tfoot {
        display: table-row-group;
    }

    thead {
        display: table-header-group; /* Ensures headers repeat on every page */
    }

    table {
        page-break-inside: auto;
    }

    /* Prevent `tfoot` from repeating */
    tfoot tr {
        page-break-before: avoid;
    }




}


/*SYSTEM STUFFS*/
.developer{
    background-color: #ffbba6;
}



/*hide all secured elements*/
[class*="secured-"]{
    display: none;
}





/*MOJAX STYLES*/
.mojax-table {
    width: 100%;
    font-size: small;
}
.mojax-table td{
    padding: 1px 2px 1px 10px;
}

#myTable_filter{
    margin-top: -40px;
}

#back-to-top{
    bottom: 50px;
}

.mojax-clearSearch-btn{
    padding: 2px;
    margin-top: -26px;
    text-align: end;
}
/*END MOJAX STYLES*/


/*phpformgenerator*/
.phpformgen_form .form-group {
    margin-bottom: 10px;

}
.phpformgen_form .form-label{
    padding-bottom: 2px;
    margin-bottom: 0px;

}



.live_stat_icon{
    text-align: right;

    margin-top: -0px;
    margin-right: 4px;
    margin-bottom: -25px;
    margin-left: 0px;
    display: block;
}




.order-stat-ordered {
    background-color: #ffc107;
    animation:blinkMe 0.4s infinite;
}

.order-stat-processing {
    background-color: #0dcaf0;
    animation:blinkMe 0.8s infinite;
}

.order-stat-ready {
    background-color: #198754;
    animation:blinkMe 0.8s infinite;
}


.order-stat-served {
    background-color: #212529;
}

.order-stat-cancelled {
    background-color: #6c757d;
}